﻿package com.alecdebusschere.src{
	
	import flash.events.IOErrorEvent;
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.events.Event;
	import flash.events.EventDispatcher;

	public class XmlData{
		//paramètres
		var eventDispatcher:EventDispatcher;
	  	var dataFiles:Array;
	  	var loadedXmls:Array;
	  	var loadingProg:int;
		
      	//constructeur
		public function XmlData(dataFiles:Array){
			this.eventDispatcher = new EventDispatcher();
			this.loadingProg = 0;
			
			this.dataFiles = dataFiles;
			this.loadedXmls = new Array();
			startLoading();
		}
		
		
		//méthodes
	  	public function startLoading(){
			for each(var dataFile:String in this.dataFiles){
		 		var req:URLRequest = new URLRequest(dataFile);
				var xmlLoader:URLLoader = new URLLoader();
				xmlLoader.addEventListener(Event.COMPLETE, processXml);
				//xmlLoader.addEventListener(ProgressEvent.PROGRESS, loadingXML);
				//xmlLoader.addEventListener(IOErrorEvent.IO_ERROR, errorXML);
				xmlLoader.load(req);
			}
		
		}
		
		public function processXml(e:Event){
			var tempXml:XML = new XML(e.target.data);
			this.loadedXmls[this.loadingProg] = tempXml;
			this.loadingProg++;
			if(this.loadingProg == this.dataFiles.length){
				this.eventDispatcher.dispatchEvent(new Event("COMPLETE"));
			}
		
		}

	}
}
