﻿package com.alecdebusschere.src.drawUtils{
	import flash.display.Sprite;
	import flash.display.Shape;
	
	class Arc extends Sprite{ 
		public function Arc(baseX:Number, baseY:Number, radius:Number, startAngle:Number, endAngle:Number, lineThickness:Number,lineColor:uint, lineAlpha:Number):void { 
			var yRadius:Number = radius;         
			var midAngle:Number, ax:Number, ay:Number, bx:Number, by:Number, cx:Number, cy:Number;		
			
			startAngle = (startAngle/180)*Math.PI;
			endAngle = (endAngle/180)*Math.PI;
			midAngle = startAngle + ((endAngle - startAngle)/2);
			
			//angle = -(startAngle/180)*Math.PI;
			
			
			
			
			//angleMid = angle-(theta/2);
			//start point
			ax = baseX+Math.cos(startAngle)*radius;
			ay = baseY+Math.sin(startAngle)*yRadius;
			
			//end point
			bx = baseX+Math.cos(endAngle)*radius;
			by = baseY+Math.sin(endAngle)*yRadius;
			
			
			
			graphics.lineStyle(lineThickness,lineColor, lineAlpha);
			graphics.moveTo(ax, ay);
			graphics.lineTo(bx, by);
			

		}
	}
}