﻿package com.alecdebusschere.src.drawUtils{
	import flash.display.Sprite;
	import flash.display.Shape;
	
	public class Triangle extends Sprite{ 
		private var shape:Shape = new Shape();
		public function Triangle(theight:Number, twidth:Number, angle:int = 0, backgroundColor:uint = 0x000000, backgroundAlpha:Number = 1, background:Boolean = true, stroke:Boolean = false, strokeWidth:int= 1, strokeColor:uint= 0x000000, strokeAlpha:Number = 1):void { 
			if(stroke){
				shape.graphics.lineStyle(strokeWidth, strokeColor, strokeAlpha);
			}if(background){
				shape.graphics.beginFill(backgroundColor, backgroundAlpha);
			}
			
			
			shape.graphics.moveTo(0, 0);
			shape.graphics.lineTo(0, theight);
			shape.graphics.lineTo(twidth, theight/2);
			shape.graphics.lineTo(0,0);
			shape.graphics.endFill();
			shape.x = -twidth/2;
			shape.y = -theight/2;
			
			
			addChild(shape);
			this.rotation = angle;
			
		}
	}
}